From: <martignlo@debian.org>
Subject: Update the name of the following Sleuthkit executables: ils, icat, and mactime

diff -urNad autopsy-2.21~/lib/Appview.pm autopsy-2.21/lib/Appview.pm
--- autopsy-2.21~/lib/Appview.pm	2008-09-29 04:42:46.000000000 +0200
+++ autopsy-2.21/lib/Appview.pm	2009-06-16 22:41:19.000000000 +0200
@@ -196,7 +196,7 @@
     # identify what type it is
     local *OUT;
     Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype $recflag  -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag  -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
     );
     my $file_type = Exec::read_pipe_line(*OUT);
     close(OUT);
@@ -231,7 +231,7 @@
 
     local *OUT;
     Exec::exec_pipe(*OUT,
-        "'$::TSKDIR/icat' -f $ftype $recflag  -o $offset -i $imgtype $img $meta"
+        "'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag  -o $offset -i $imgtype $img $meta"
     );
 
     while ($_ = Exec::read_pipe_line(*OUT)) {
diff -urNad autopsy-2.21~/lib/File.pm autopsy-2.21/lib/File.pm
--- autopsy-2.21~/lib/File.pm	2009-02-03 05:26:21.000000000 +0100
+++ autopsy-2.21/lib/File.pm	2009-06-16 22:41:19.000000000 +0200
@@ -1095,7 +1095,7 @@
     my $recmode = $File::REC_NO;
     local *OUT;
     Exec::exec_pipe(*OUT,
-        "'$::TSKDIR/ils' -f $ftype -e  -o $offset -i $imgtype $img $meta_int");
+        "'$::TSKDIR/ils-sleuthkit' -f $ftype -e  -o $offset -i $imgtype $img $meta_int");
     while ($_ = Exec::read_pipe_line(*OUT)) {
         chop;
         next unless ($_ =~ /^$meta/);
@@ -1705,7 +1705,7 @@
 
         local *OUT;
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/ils' -f $ftype -e  -o $offset -i $imgtype $img $meta_int"
+"'$::TSKDIR/ils-sleuthkit' -f $ftype -e  -o $offset -i $imgtype $img $meta_int"
         );
         while ($_ = Exec::read_pipe_line(*OUT)) {
             chop;
@@ -1726,12 +1726,12 @@
     # Get the file type so we can show the thumb nails automatically
     if ($recmode == $File::REC_YES) {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype -r  -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -r  -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
         );
     }
     else {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype  -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype  -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
         );
     }
 
@@ -1785,12 +1785,12 @@
     # Get the file type
     if ($recmode == $File::REC_YES) {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype -r  -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -r  -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
         );
     }
     else {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype  -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype  -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
         );
     }
 
@@ -1893,7 +1893,7 @@
             "$Caseman::vol2sname{$vol}: Viewing $fname ($meta) as ASCII");
 
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype $recflag -o $offset -i $imgtype $img $meta"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag -o $offset -i $imgtype $img $meta"
         );
 
         print "Contents Of File: $fname\n\n\n";
@@ -1905,7 +1905,7 @@
             "$Caseman::vol2sname{$vol}: Viewing $fname ($meta) as Hex");
 
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype $recflag -o $offset -i $imgtype $img $meta"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag -o $offset -i $imgtype $img $meta"
         );
 
         print "Hex Contents Of File: $fname\n\n\n";
@@ -1921,7 +1921,7 @@
             "$Caseman::vol2sname{$vol}: Viewing $fname ($meta) as strings");
 
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::TSKDIR/srch_strings' -a"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::TSKDIR/srch_strings' -a"
         );
 
         print "ASCII String Contents Of File: $fname\n\n\n\n";
@@ -1989,7 +1989,7 @@
 
     local *OUT;
     Exec::exec_pipe(*OUT,
-        "'$::TSKDIR/icat' -f $ftype $recflag -o $offset -i $imgtype $img $meta"
+        "'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag -o $offset -i $imgtype $img $meta"
     );
 
     # We can't trust the mnt and dir values (since there
@@ -2077,7 +2077,7 @@
     # Calculate the MD5 value
     local *OUT;
     Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::MD5_EXE'"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::MD5_EXE'"
     );
     my $md5 = Exec::read_pipe_line(*OUT);
     close(OUT);
@@ -2095,7 +2095,7 @@
 
     if ($::SHA1_EXE ne "") {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::SHA1_EXE'"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::SHA1_EXE'"
         );
         my $sha1 = Exec::read_pipe_line(*OUT);
         close(OUT);
@@ -2114,7 +2114,7 @@
 
     if ($sort == $FIL_SORT_STR) {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::TSKDIR/srch_strings' -a | '$::MD5_EXE'"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::TSKDIR/srch_strings' -a | '$::MD5_EXE'"
         );
         $md5 = Exec::read_pipe_line(*OUT);
         close(OUT);
@@ -2127,7 +2127,7 @@
 
         if ($::SHA1_EXE ne "") {
             Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::TSKDIR/srch_strings' -a | '$::SHA1_EXE'"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::TSKDIR/srch_strings' -a | '$::SHA1_EXE'"
             );
             $sha1 = Exec::read_pipe_line(*OUT);
             close(OUT);
@@ -2167,7 +2167,7 @@
 
     # File Type
     Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
     );
     my $apptype = Exec::read_pipe_line(*OUT);
     close(OUT);
@@ -2187,14 +2187,14 @@
 
     if ($sort == $FIL_SORT_ASC) {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype $recflag -o $offset -i $imgtype $img $meta"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag -o $offset -i $imgtype $img $meta"
         );
         Print::print_output($_) while ($_ = Exec::read_pipe_data(*OUT, 1024));
         close(OUT);
     }
     elsif ($sort == $FIL_SORT_HEX) {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype $recflag -o $offset -i $imgtype $img $meta"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag -o $offset -i $imgtype $img $meta"
         );
         my $offset = 0;
         while ($_ = Exec::read_pipe_data(*OUT, 1024)) {
@@ -2205,7 +2205,7 @@
     }
     elsif ($sort == $FIL_SORT_STR) {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::TSKDIR/srch_strings' -a"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype $recflag -o $offset -i $imgtype $img $meta | '$::TSKDIR/srch_strings' -a"
         );
         Print::print_output($_) while ($_ = Exec::read_pipe_line(*OUT));
         close(OUT);
@@ -2267,7 +2267,7 @@
 
             local *OUT_MD5;
             Exec::exec_pipe(*OUT_MD5,
-"'$::TSKDIR/icat' -f $ftype -r -o $offset -i $imgtype $img $in | '$::MD5_EXE'"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -r -o $offset -i $imgtype $img $in | '$::MD5_EXE'"
             );
             my $md5out = Exec::read_pipe_line(*OUT_MD5);
 
diff -urNad autopsy-2.21~/lib/Meta.pm autopsy-2.21/lib/Meta.pm
--- autopsy-2.21~/lib/Meta.pm	2008-09-29 04:42:46.000000000 +0200
+++ autopsy-2.21/lib/Meta.pm	2009-06-16 22:41:19.000000000 +0200
@@ -185,7 +185,7 @@
     my $recmode = $File::REC_NO;
     local *OUT;
     Exec::exec_pipe(*OUT,
-        "'$::TSKDIR/ils' -f $ftype -e -o $offset -i $imgtype $img $meta_int");
+        "'$::TSKDIR/ils-sleuthkit' -f $ftype -e -o $offset -i $imgtype $img $meta_int");
     while ($_ = Exec::read_pipe_line(*OUT)) {
         chop;
         next unless ($_ =~ /^$meta_int/);
@@ -289,12 +289,12 @@
 
     if ($recmode == $File::REC_YES) {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype -r -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -r -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
         );
     }
     else {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
         );
     }
     my $file_type = Exec::read_pipe_line(*OUT);
@@ -313,12 +313,12 @@
     # MD5 Value
     if ($recmode == $File::REC_YES) {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype -r -o $offset -i $imgtype $img $meta | '$::MD5_EXE'"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -r -o $offset -i $imgtype $img $meta | '$::MD5_EXE'"
         );
     }
     else {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype -o $offset -i $imgtype $img $meta | '$::MD5_EXE'"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -o $offset -i $imgtype $img $meta | '$::MD5_EXE'"
         );
     }
 
@@ -379,12 +379,12 @@
     if ($::SHA1_EXE ne "") {
         if ($recmode == $File::REC_YES) {
             Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype -r -o $offset -i $imgtype $img $meta | '$::SHA1_EXE'"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -r -o $offset -i $imgtype $img $meta | '$::SHA1_EXE'"
             );
         }
         else {
             Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype -o $offset -i $imgtype $img $meta | '$::SHA1_EXE'"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -o $offset -i $imgtype $img $meta | '$::SHA1_EXE'"
             );
         }
 
@@ -546,11 +546,11 @@
     local *OUT;
     if ($recmode == $File::REC_YES) {
         Exec::exec_pipe(*OUT,
-            "'$::TSKDIR/icat' -f $ftype -r -o $offset -i $imgtype $img $meta");
+            "'$::TSKDIR/icat-sleuthkit' -f $ftype -r -o $offset -i $imgtype $img $meta");
     }
     else {
         Exec::exec_pipe(*OUT,
-            "'$::TSKDIR/icat' -f $ftype -o $offset -i $imgtype $img $meta");
+            "'$::TSKDIR/icat-sleuthkit' -f $ftype -o $offset -i $imgtype $img $meta");
     }
 
     print "$_" while ($_ = Exec::read_pipe_data(*OUT, 512));
@@ -658,12 +658,12 @@
 
     if ($recmode == $File::REC_YES) {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype -r -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -r -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
         );
     }
     else {
         Exec::exec_pipe(*OUT,
-"'$::TSKDIR/icat' -f $ftype -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -o $offset -i $imgtype $img $meta | '$::FILE_EXE' -z -b -"
         );
     }
 
@@ -734,7 +734,7 @@
     # The list
     local *OUT;
     Exec::exec_pipe(*OUT,
-"'$::TSKDIR/ils' -e -s $Caseman::ts -f $ftype -o $offset -i $imgtype $img $fmin-$max"
+"'$::TSKDIR/ils-sleuthkit' -e -s $Caseman::ts -f $ftype -o $offset -i $imgtype $img $fmin-$max"
     );
     while ($_ = Exec::read_pipe_line(*OUT)) {
         if (/^($::REG_META)\|([af])\|\d+\|\d+\|\d+\|\d+\|\d+\|/o) {
diff -urNad autopsy-2.21~/lib/Notes.pm autopsy-2.21/lib/Notes.pm
--- autopsy-2.21~/lib/Notes.pm	2008-09-29 04:42:46.000000000 +0200
+++ autopsy-2.21/lib/Notes.pm	2009-06-16 22:41:19.000000000 +0200
@@ -144,7 +144,7 @@
     $meta_int = $1 if ($meta_int =~ /^(\d+)-\d+(-\d+)?$/);
     local *OUT;
     Exec::exec_pipe(*OUT,
-"'$::TSKDIR/ils' -s $Caseman::ts -f $ftype -e  -o $offset -i $imgtype $img $meta_int"
+"'$::TSKDIR/ils-sleuthkit' -s $Caseman::ts -f $ftype -e  -o $offset -i $imgtype $img $meta_int"
     );
 
     # Get the fourth line
@@ -322,7 +322,7 @@
     $meta_int = $1 if ($meta_int =~ /^(\d+)-\d+(-\d+)?$/);
     local *OUT;
     Exec::exec_pipe(*OUT,
-"'$::TSKDIR/ils' -s $Caseman::ts -f $ftype -e -o $offset -i $imgtype $img $meta_int"
+"'$::TSKDIR/ils-sleuthkit' -s $Caseman::ts -f $ftype -e -o $offset -i $imgtype $img $meta_int"
     );
 
     # Skip to the fourth line
diff -urNad autopsy-2.21~/lib/Timeline.pm autopsy-2.21/lib/Timeline.pm
--- autopsy-2.21~/lib/Timeline.pm	2008-09-29 04:42:46.000000000 +0200
+++ autopsy-2.21/lib/Timeline.pm	2009-06-16 22:41:19.000000000 +0200
@@ -930,7 +930,7 @@
             }
 
             Exec::exec_sys(
-"'$::TSKDIR/icat' -f $ftype -o $offset -i $imgtype $img $pwi > '$pw_tmp'"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -o $offset -i $imgtype $img $pwi > '$pw_tmp'"
             );
             $mac_args .= " -p \'$pw_tmp\' ";
 
@@ -969,7 +969,7 @@
                 }
             }
             Exec::exec_sys(
-"'$::TSKDIR/icat' -f $ftype -o $offset -i $imgtype $img $gri > '$gr_tmp'"
+"'$::TSKDIR/icat-sleuthkit' -f $ftype -o $offset -i $imgtype $img $gri > '$gr_tmp'"
             );
             $mac_args .= " -g \'$gr_tmp\' ";
         }
@@ -1005,17 +1005,17 @@
     local *OUT;
     if ($otype == $OTYPE_NORM) {
         Exec::exec_pipe(*OUT,
-"LANG=C LC_ALL=C '$::TSKDIR/mactime' -b $Caseman::vol2path{$body} $tz -i day '${fname}.sum' $mac_args $date > '$fname'"
+"LANG=C LC_ALL=C '$::TSKDIR/mactime-sleuthkit' -b $Caseman::vol2path{$body} $tz -i day '${fname}.sum' $mac_args $date > '$fname'"
         );
     }
     elsif ($otype == $OTYPE_HOURLY) {
         Exec::exec_pipe(*OUT,
-"LANG=C LC_ALL=C '$::TSKDIR/mactime' -b $Caseman::vol2path{$body} $tz  -d -i hour '${fname}.sum' $mac_args $date > '$fname'"
+"LANG=C LC_ALL=C '$::TSKDIR/mactime-sleuthkit' -b $Caseman::vol2path{$body} $tz  -d -i hour '${fname}.sum' $mac_args $date > '$fname'"
         );
     }
     elsif ($otype == $OTYPE_DAILY) {
         Exec::exec_pipe(*OUT,
-"LANG=C LC_ALL=C '$::TSKDIR/mactime' -b $Caseman::vol2path{$body} $tz -d -i day '${fname}.sum' $mac_args $date > '$fname'"
+"LANG=C LC_ALL=C '$::TSKDIR/mactime-sleuthkit' -b $Caseman::vol2path{$body} $tz -d -i day '${fname}.sum' $mac_args $date > '$fname'"
         );
     }
     else {
